### Signal

# Gtk Window::enable-debugging

#### Declaration

    gboolean
    enable_debugging (
      GtkWindow* self,
      gboolean toggle,
      gpointer user_data
    )

#### Description [src]

Emitted when the user enables or disables interactive debugging.

When `toggle` is true, interactive debugging is toggled on or off, when it is false, the debugger will be pointed at the widget under the pointer.

This is a keybinding signal.

The default bindings for this signal are `Ctrl`+`Shift`+`I` and `Ctrl`+`Shift`+`D`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`toggle`

  Type: `gboolean`

  Toggle the debugger.

#### Return value

Type: `gboolean`

True if the key binding was handled.